Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.wli.worklist.api.taskplan
Enum SystemProperty

    java.lang.Object
      java.lang.Enum<SystemProperty>
          com.bea.wli.worklist.api.taskplan.SystemProperty

All Implemented Interfaces:
  Serializable, Comparable<SystemProperty>

    public enum SystemProperty

extends Enum<SystemProperty>

BEA Systems, Inc.

Enum Constant Summary
`ADMIN_STATE` Java Type in TaskEvent: AdminState.Type; Property Type: String; Editable: false
`ASSIGNEES` Java Type in TaskEvent: Assignee; Property Type: String (in form 'Assignee with Users(,...) and Groups(,...)'; Editable: false
`CLAIMANT` Java Type in TaskEvent: String; Property Type: String; Editable: false
`COMMENT` Java Type in TaskEvent: String; Property Type: String; Editable: true
`CONSTRUCTOR_NAME` Java Type in TaskEvent: String; Property Type: String; Editable: false
`CREATE_DATE` Java Type in TaskEvent: java.util.Date; Property Type: DateTime; Editable: false
`CREATING_CONTAINER_HANDLE` Java Type in TaskEvent: com.bea.wli.worklist.api.ContainerHandle; Property Type: String (in the form: type||subType||instanceId||hostApplicationId); Editable: false
`CREATOR` Java Type in TaskEvent: String; Property Type: String; Editable: false
`CURRENT_STEP_CLAIM_DUE_DATE` Deprecated. Claim due date should not be used.
`CURRENT_STEP_COMPLETION_DUE_DATE` Java Type in TaskEvent: java.util.Date; Property Type: DateTime; Editable: true
`CURRENT_STEP_NAME` Java Type in TaskEvent: String; Property Type: String; Editable: false
`DESCRIPTION` Deprecated. Use TaskPlan Description instead
`ERROR_MSG` Java Type in TaskEvent: String; Property Type: String; Editable: false
`FINAL_ACTION_NAME` Java Type in TaskEvent: String; Property Type: String; Editable: false
`FINAL_STEP_NAME` Java Type in TaskEvent: String; Property Type: String; Editable: false
`IS_OWNER_GROUP` Java Type in TaskEvent: Boolean; Property Type: Boolean; Editable: true
`LAST_UPDATE_DATE` Java Type in TaskEvent: java.util.Date; Property Type: DateTime; Editable: false
`LAST_UPDATE_USER` Java Type in TaskEvent: String; Property Type: String; Editable: false
`OWNER` Java Type in TaskEvent: String; Property Type: String; Editable: true
`PRIORITY` Java Type in TaskEvent: Long; Property Type: Integer; Editable: true
`STEP_TIME_ESTIMATES` Java Type in TaskEvent: Map where key is step name, and value is Interval for estimate on that step; Property Type: String (in form <step name>$<interval>#<step name>$<interval> where <interval> is the format defined for Intervals e.g.
`TASK_COMPLETION_DUE_DATE` Java Type in TaskEvent: java.util.Date; Property Type: DateTime; Editable: true
`TASK_ID` Java Type in TaskEvent: String; Property Type: String; Editable: false
`TASK_NAME` Java Type in TaskEvent: String; Property Type: String; Editable: true
`TASK_PLAN_ID` Java Type in TaskEvent: TaskPlanId; Property Type: String; Editable: false
`TASK_TIME_ESTIMATE` Java Type in TaskEvent: com.bea.wli.calendar.api.Interval; Property Type: String (in string form defined by Interval, e.g.
`WORKING_STATE` Java Type in TaskEvent: WorkingState.Type; Property Type: String; Editable: false

Method Summary
`String` | `getDisplayName()` Get a localized display name for this system property, in the form <system property prefix>:<localized name>.
`static SystemProperty` | `getSystem(String name)`
`boolean` | `isReadOnly()` Is this system property read-only at runtime (cannot be set directly).
`static boolean` | `isSystem(String name)`
`boolean` | `isWriteable()` Can this system property be set at runtime?
`static SystemProperty` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SystemProperty[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TASK_ID

    public static final SystemProperty TASK_ID

  Java Type in TaskEvent: String; Property Type: String; Editable: false

### TASK_NAME

    public static final SystemProperty TASK_NAME

  Java Type in TaskEvent: String; Property Type: String; Editable: true

### TASK_PLAN_ID

    public static final SystemProperty TASK_PLAN_ID

  Java Type in TaskEvent: TaskPlanId; Property Type: String; Editable: false

### DESCRIPTION

    public static final SystemProperty DESCRIPTION

  Deprecated. Use TaskPlan Description instead
  Java Type in TaskEvent: String; Property Type: String; Editable: false

### COMMENT

    public static final SystemProperty COMMENT

  Java Type in TaskEvent: String; Property Type: String; Editable: true

### PRIORITY

    public static final SystemProperty PRIORITY

  Java Type in TaskEvent: Long; Property Type: Integer; Editable: true

### ADMIN_STATE

    public static final SystemProperty ADMIN_STATE

  Java Type in TaskEvent: AdminState.Type; Property Type: String; Editable: false

### ERROR_MSG

    public static final SystemProperty ERROR_MSG

  Java Type in TaskEvent: String; Property Type: String; Editable: false

### WORKING_STATE

    public static final SystemProperty WORKING_STATE

  Java Type in TaskEvent: WorkingState.Type; Property Type: String; Editable: false

### ASSIGNEES

    public static final SystemProperty ASSIGNEES

  Java Type in TaskEvent: Assignee; Property Type: String (in form 'Assignee with Users(,...) and Groups(,...)'; Editable: false

### CLAIMANT

    public static final SystemProperty CLAIMANT

  Java Type in TaskEvent: String; Property Type: String; Editable: false

### OWNER

    public static final SystemProperty OWNER

  Java Type in TaskEvent: String; Property Type: String; Editable: true

### IS_OWNER_GROUP

    public static final SystemProperty IS_OWNER_GROUP

  Java Type in TaskEvent: Boolean; Property Type: Boolean; Editable: true

### CREATOR

    public static final SystemProperty CREATOR

  Java Type in TaskEvent: String; Property Type: String; Editable: false

### CREATE_DATE

    public static final SystemProperty CREATE_DATE

  Java Type in TaskEvent: java.util.Date; Property Type: DateTime; Editable: false

### LAST_UPDATE_DATE

    public static final SystemProperty LAST_UPDATE_DATE

  Java Type in TaskEvent: java.util.Date; Property Type: DateTime; Editable: false

### LAST_UPDATE_USER

    public static final SystemProperty LAST_UPDATE_USER

  Java Type in TaskEvent: String; Property Type: String; Editable: false

### CREATING_CONTAINER_HANDLE

    public static final SystemProperty CREATING_CONTAINER_HANDLE

  Java Type in TaskEvent: com.bea.wli.worklist.api.ContainerHandle; Property Type: String (in the form: type||subType||instanceId||hostApplicationId); Editable: false

### CURRENT_STEP_NAME

    public static final SystemProperty CURRENT_STEP_NAME

  Java Type in TaskEvent: String; Property Type: String; Editable: false

### CURRENT_STEP_COMPLETION_DUE_DATE

    public static final SystemProperty CURRENT_STEP_COMPLETION_DUE_DATE

  Java Type in TaskEvent: java.util.Date; Property Type: DateTime; Editable: true

### TASK_COMPLETION_DUE_DATE

    public static final SystemProperty TASK_COMPLETION_DUE_DATE

  Java Type in TaskEvent: java.util.Date; Property Type: DateTime; Editable: true

### TASK_TIME_ESTIMATE

    public static final SystemProperty TASK_TIME_ESTIMATE

  Java Type in TaskEvent: com.bea.wli.calendar.api.Interval; Property Type: String (in string form defined by Interval, e.g. `<years>y<months>m<days>dt<hours>h<minutes>m<seconds>s`); Editable: true

### STEP_TIME_ESTIMATES

    public static final SystemProperty STEP_TIME_ESTIMATES

  Java Type in TaskEvent: Map where key is step name, and value is Interval for estimate on that step; Property Type: String (in form <step name>$<interval>#<step name>$<interval> where <interval> is the format defined for Intervals e.g. `<years>y<months>m<days>dt<hours>h<minutes>m<seconds>s`); Editable: true

### CURRENT_STEP_CLAIM_DUE_DATE

    public static final SystemProperty CURRENT_STEP_CLAIM_DUE_DATE

  Deprecated. Claim due date should not be used.
  Java Type in TaskEvent: java.util.Date; Property Type: DateTime; Editable: false

### CONSTRUCTOR_NAME

    public static final SystemProperty CONSTRUCTOR_NAME

  Java Type in TaskEvent: String; Property Type: String; Editable: false

### FINAL_STEP_NAME

    public static final SystemProperty FINAL_STEP_NAME

  Java Type in TaskEvent: String; Property Type: String; Editable: false

### FINAL_ACTION_NAME

    public static final SystemProperty FINAL_ACTION_NAME

  Java Type in TaskEvent: String; Property Type: String; Editable: false

Method Detail

### values

    public static final SystemProperty[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SystemProperty c : SystemProperty.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SystemProperty valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### isSystem

    public static boolean isSystem(String name)

### getSystem

    public static SystemProperty getSystem(String name)

### isReadOnly

    public boolean isReadOnly()

  Is this system property read-only at runtime (cannot be set directly).

### getDisplayName

    public String getDisplayName()

  Get a localized display name for this system property, in the form <system property prefix>:<localized name>.

  Returns:

### isWriteable

    public boolean isWriteable()

  Can this system property be set at runtime?

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD